/*
 * Copyright (c) 2004 Hamish Rodda <rodda@kde.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef NVIDIAMODULE_H
#define NVIDIAMODULE_H

#include <kcmodule.h>

class SettingsBridge;
class Nvidia3DWidget;
class NvidiaDisplaysWidget;

class NvidiaModule : public KCModule
{
	Q_OBJECT

public:
	NvidiaModule(QWidget *parent, const char *name, const QStringList& _args);
	virtual ~NvidiaModule();

	virtual void load();
	virtual void save();
	virtual void defaults();

	static void performApplyOnStartup();

protected:
	virtual bool x11Event( XEvent * e );

	SettingsBridge*	m_settings;
};

#endif
